FLANG

Public Member Functions | List of all members
Fortran::semantics::SymbolDumpVisitor Class Reference

## Public Member Functions
void | PrintSymbols (const parser::CharBlock &, llvm::raw_ostream &, int)
template<typename T >
bool | Pre (const T &)
template<typename T >
void | Post (const T &)
template<typename T >
bool | Pre (const parser::Statement< T > &stmt)
template<typename T >
void | Post (const parser::Statement< T > &)
bool | Pre (const parser::OmpClause &clause)
void | Post (const parser::OmpClause &)
bool | Pre (const parser::OpenMPThreadprivate &dir)
void | Post (const parser::OpenMPThreadprivate &)
void | Post (const parser::Name &name)

The documentation for this class was generated from the following file:

- lib/Semantics/unparse-with-symbols.cpp